package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 储能设备
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
public class BaseEnergyStorageDeviceView extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构name")
    @TableField
    private String ouName;

    @XText("设备名称")
    @TableField
    private String deviceName;

    @XText("出厂编号")
    @TableField
    private String makerNumber;

    @XText("储能设备规格型号key(字典获取)")
    @TableField
    private String storageModelKey;

    @XText("储能设备规格型号name(字典获取)")
    @TableField
    private String storageModelName;

    @XText("设备容量(KWh)")
    @TableField
    private BigDecimal apparatusCapacity;

    @XText("额定放电功率(KW)")
    @TableField
    private BigDecimal ratedDischargePower;

    @XText("额定充电功率(KW)")
    @TableField
    private BigDecimal ratedChargingPower;
    @XText("额定放电深度")
    @TableField
    private BigDecimal ratedDischargeDepth;

    @XText("额定放电效率")
    @TableField
    private BigDecimal ratedDischargeEfficiency;

}
