package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 输电线路光伏配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLinePlantView extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("光伏电站ID")
    @TableField
    private String plantId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    /**
     * 电站名称
     */
    @XText("电站名称")
    @TableField
    private String stationName;

    /**
     * 装机总量
     */
    @XText("装机总量(KWP)")
    @TableField
    private BigDecimal totalPower;
}
