package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.List;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLineView extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("上级线路ID")
    @TableField
    private String upperLineId;

    @XText("线路名称")
    @TableField
    private String lineName;

    @XText("电网类型key(字典获取)")
    @TableField
    private String gridTypeKey;

    @XText("线路类型key(字典获取)")
    @TableField
    private String lineTypeKey;

    @XText("市电峰谷配置ID")
    @TableField
    private String strategyId;

    @XText("是否激活共享调度(0_激活;1_关闭)")
    @TableField
    private Integer isShareDispatch;

    @XText("是否激活返输调度(0_激活;1_关闭)")
    @TableField
    private Integer isReverseDispatch;

    @XText("启动间隔(分钟)")
    @TableField
    private Integer startInterval;

    /**
     * 策略名称
     */
    @XText("策略名称")
    private String policyName;

    /**
     * 上级线路名称
     */
    @XText("上级线路名称")
    private String upperLineName;

    /**
     * 井口数
     */
    @XText("井口数")
    private Integer wellheadCount;

    /**
     * 组织ID集合
     */
    @XText("组织ID集合")
    @TableField(exist = false)
    private List<String> ouList;
}
