package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BasePowerLineWellheadView extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;

    /**
     * 井号
     */
    @XText("井号")
    @TableField
    private String wellNumber;

    /**
     * 运行类型
     */
    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    /**
     * 运行功率
     */
    @XText("运行功率(KW)")
    @TableField
    private BigDecimal serviceRating;

    /**
     * 井口ID集合
     */
    @XText("井口ID集合")
    @TableField(exist = false)
    private List<String> wellheadIds;
}
