package pps.core.base.enums;

import xstartup.error.XError;

/**
 * 业务错误
 *
 * @author ZWT
 * @date 2023/09/12
 */
public enum BusinessError implements XError {
    DieselReference(2000, "当前柴发设备已被引用"),
    StorageReference(2001, "当前储能设备已被引用"),
    PhotovoltaicReference(2002, "当前光伏电站已被引用"),
    LineReference(2003, "当前线路已被引用"),
    StrategyReference(2004, "当前策略已被引用"),
    WellheadReferenceLine(2005, "当前井口已被线路引用"),
    WellheadReferenceSpace(2006, "当前井口已被间开引用"),
    WellNumberExists(2007, "井号已存在"),
    MakerNumberExists(2008, "出场编号已存在"),
    Missing_Organization_ID(2009, "缺少组织ID"),
    ;

    private int code;
    private String text;

    BusinessError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getText() {
        return text;
    }
}
