package pps.core.base.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import pps.core.common.enums.DictEnum;

public enum WindDirection implements DictEnum {
    N(90, "东风"),
    S(180, "南风"),
    E(270, "西风"),
    W(0, "北风"),
    NW(45, "东北风"),
    NS(135, "东南风"),
    ES(225, "西南风"),
    EW(315, "西北风");

    @EnumValue
    private Integer value = 0;
    private String desc = "";

    WindDirection(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public static WindDirection findByValue(String v){
        for(WindDirection e : values()){
            if( e.getDesc() .equals(v) ){
                return e;
            }
        }
        return null;
    }
}
