package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePipelineStationRelView;

import java.util.List;

@Repository(value="pps.core.base.mapper.BasePipelineStationRelViewMapper")
public interface BasePipelineStationRelViewMapper {
    BasePipelineStationRelView selectOne(BasePipelineStationRelView record);
    List<BasePipelineStationRelView> selectList(BasePipelineStationRelView record);

    BasePipelineStationRelView selectMaxSortByPipelineId(BasePipelineStationRelView record);

    /**
     * 获取用于管存计算的场站信息
     * @param pipelineId
     * @return
     */
    List<BasePipelineStationRelView> selectCustodyUseStation(@Param("pipelineId") String pipelineId,@Param("isCustodyUse") String isCustodyUse);

    /**
     * 根据管线id获取场站信息
     * @param pipelineId
     * @return
     */
    List<BasePipelineStationRelView> selectStationByPipelineId(@Param("pipelineId") String pipelineId);
}
