package pps.core.base.service.data.base_price_strategy;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 市电峰谷配置入参
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePriceStrategyInput {

    @XText("ID")
    @NotBlank
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("策略名称")
    private String policyName;

    @XText("适用地区编码")
    private Integer areaCode;

    @XText("年份")
    private String strategyYear;

    @XText("是否固定电价(0_是;1_否)")
    private Integer isFixedPrice;

    @XText("固定电价")
    private BigDecimal fixedElectricityPrice;
}
