package pps.core.base.service.data.base_wellhead;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 井口配置
 *
 * @author ZWT
 * @date 2023/10/20
 */
@Data
public class CreateBaseWellheadInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("井号")
    @NotBlank(message = "缺少井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    @NotBlank(message = "缺少运行类型")
    private String runTypeKey;

    @XText("运行类型name(字典获取)")
    private String runTypeName;

    @XText("运行功率(KW)")
    @NotNull(message = "缺少运行功率")
    private BigDecimal serviceRating;
}
