package pps.core.task.job;

import pps.cloud.base.service.BaseWatherCloudService;
import pps.cloud.prediction.service.PlantPredictedPowerLongTermDataCloudService;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.error.XError;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

@XText("长期预测数据，每天更新一次")
@XService
public class PlantPredictedPowerLongTermDataJob implements XJob {
    @XCronTrigger(value = "0 45 1 * * ?")
    @Override
    public XServiceResult execute(XContext context) {
        PlantPredictedPowerLongTermDataCloudService cloudService = context.getBean(PlantPredictedPowerLongTermDataCloudService.class);
        cloudService.runPlantPredictedPowerLongTermData(context);
        return XServiceResult.error(context, XError.NotFound);
    }
}
