package pps.core.task.job;

import pps.cloud.space.service.ISpaceOptimizeLongCloudService;
import pps.core.task.constant.CronConstant;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.tool.XLoggerTool;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * 长期间开优化定时任务
 *
 * @author ZWT
 * @date 2023/09/13 13:59
 */
@XText("长期间开优化定时任务")
@XService
public class SpaceOptimizeLongJob implements XJob {

    /**
     * 每月一日执行
     *
     * @param xContext x上下文
     * @return {@link XServiceResult}
     */
    @XCronTrigger(value = CronConstant.FIRST_DAY_OF_THE_MONTH)
    @Override
    public XServiceResult execute(XContext xContext) {
        XLoggerTool logger = xContext.getLogger();
        logger.info("------ SpaceOptimizeLongJob start:{}", System.currentTimeMillis());
        ISpaceOptimizeLongCloudService service = xContext.getBean(ISpaceOptimizeLongCloudService.class);
        XServiceResult result = service.optimizeLongJob(xContext);
        logger.info("------ SpaceOptimizeLongJob end:{}", System.currentTimeMillis());
        result.throwIfFail();
        return XServiceResult.OK;
    }
}