package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class SpaceInstitutionWellheadView extends BaseModel implements Serializable {

    @XText("间开制度ID")
    @TableField
    private String institutionId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    @TableField
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    @TableField
    private String intervalTypeKey;

    @XText("间开描述")
    @TableField
    private String intervalDescribe;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;

    @XText("开井天数")
    @TableField
    private Integer openWellDay;

    @XText("关井天数")
    @TableField
    private Integer closeWellDay;

    @XText("运行时长（小时/天）")
    @TableField
    private BigDecimal runDuration;

    /**
     * 运行功率
     */
    @XText("运行功率(KW)")
    @TableField(exist = false)
    private BigDecimal serviceRating;

    /**
     * 间开制度小间开时段配置
     */
    @XText("启动间隔(分钟)")
    @TableField(exist = false)
    private List<SpaceInstitutionDurationView> durationList;
}
