package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeLongPeriodView;

import java.util.List;

/**
 * 长期间开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeLongPeriodViewMapper")
public interface SpaceOptimizeLongPeriodViewMapper {
    SpaceOptimizeLongPeriodView selectOne(SpaceOptimizeLongPeriodView record);

    /**
     * 长期间开优化周期记录列表
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceOptimizeLongPeriodView}>
     */
    List<SpaceOptimizeLongPeriodView> selectList(SpaceOptimizeLongPeriodView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<SpaceOptimizeLongPeriodView> list);
}
