package pps.core.space.service.data.space_institution_detail;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import pps.core.space.service.data.space_institution_wellhead.UpdateSpaceInstitutionWellheadInput;
import xstartup.annotation.XText;

import java.util.Date;
import java.util.List;

/**
 * 基础间开配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class UpdateSpaceInstitutionDetailInput {

    @XText("ID")
    @NotBlank(message = "缺少间开制度ID")
    private String id;

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("制度名称")
    private String institutionName;

    @XText("制度开始时间")
    private Date institutionStartDate;

    @XText("制度结束时间")
    private Date institutionEndDate;

    @XText("启动间隔(分钟)")
    private Integer startInterval;

    /**
     * 间开制度井口配置
     */
    @XText("间开制度井口配置")
    List<UpdateSpaceInstitutionWellheadInput> wellheadList;

    /**
     * 校准历史ID
     */
    @XText("校准历史ID")
    private String historyId;
}
