package pps.core.space.service.data.space_optimize_long_wellhead;

import lombok.Data;
import pps.core.space.service.data.SpaceOptimizeDateDuration;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 长期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Data
public class GetSpaceOptimizeLongWellheadOutput {

    @XText("ID")
    private String id;

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    /**
     * 井口配置(未优化)
     */
    @XText("井口配置(未优化)")
    private List<SpaceOptimizeDateDuration> initializeList;

    /**
     * 井口配置(已优化)
     */
    @XText("井口配置(已优化)")
    private List<SpaceOptimizeDateDuration> optimizeList;
}
