package pps.core.space.service.data.space_optimize_short_wellhead;

import lombok.Data;
import pps.core.space.service.data.SpaceOptimizeDateDuration;
import xstartup.annotation.XText;

import java.util.Date;
import java.util.List;

/**
 * 短期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
public class GetSpaceOptimizeShortWellheadViewOutput {

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    private String intervalTypeKey;

    @XText("创建时间")
    private Date createTime;

    @XText("开井天数")
    private Integer openWellDay;

    @XText("关井天数")
    private Integer closeWellDay;

    /**
     * 井口时段配置
     */
    @XText("井口时段配置")
    private List<SpaceOptimizeDateDuration> durationList;
}
