package pps.cloud.prediction.service;

import pps.cloud.prediction.service.data.plant_predicted_power_data.DynamicQueryPlantPredictedPowerOutput;
import pps.cloud.prediction.service.data.storage_predicted_power_data.DynamicQueryStoragePredictedPowerInput;
import pps.cloud.prediction.service.data.storage_predicted_power_data.DynamicQueryStoragePredictedPowerOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.feature.api.annotation.XApiPost;

/**
 * 储能预测电量数据Cloud模块(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20 15:40
 */
@XService
@XText("储能预测Cloud模块")
public interface IStoragePredictedPowerCloudService {

    /**
     * 储能预测Cloud模块--条件查询时段储能电量平均值
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult}<{@link DynamicQueryPlantPredictedPowerOutput}>
     */
    @XText("储能预测Cloud模块--条件查询时段储能电量平均值")
    @XApiPost
    XListResult<DynamicQueryStoragePredictedPowerOutput> queryAverageEnergyStorageListByParam(XContext context, DynamicQueryStoragePredictedPowerInput input);
}
