package pps.cloud.prediction.service.data.storage_predicted_power_data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 储能预测电量数据(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryStoragePredictedPowerInput {

    @XText("储能设备id")
    private String storageId;


    @XText("储能设备ID集合")
    private List<String> storageIds;

    @XText("年")
    private String yearTime;

    @XText("月")
    private String monthTime;

    @XText("开始时间")
    private String startTime;

    @XText("结束时间")
    private String endTime;
}
