package pps.core.prediction.enums;

import xstartup.error.XError;

/**
 * 业务错误
 *
 * @author ZWT
 * @date 2023/11/23
 */
public enum BusinessError implements XError {

    DateTypeError(2200, "日期类型错误"),
    TheStartEndDateIsMissing(2201, "缺少开始结束日期"),
    ;

    private int code;
    private String text;

    BusinessError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getText() {
        return text;
    }
}
