package pps.core.prediction.enums;

public enum ImportFieldDic {
    dataDate("dataDate","日期",1),
    windSpeed("windSpeed","风速",2),
    windDirection("windDirection","风向",3),
    temperature("temperature","温度",4),
    pressure("pressure","压强",5),
    humidity("humidity","湿度",6),
    planeIrradiance("planeIrradiance","组件平面辐照度",7),
    horizontalIrradiance("horizontalIrradiance","全水平辐照度",8),
    power("power","实际功率",9),
    ;

    ImportFieldDic(String col, String name, Integer sort) {
        this.col = col;
        this.name = name;
        this.sort = sort;
    }

    private String col;
    private String name;
    private Integer sort;

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public static ImportFieldDic findByValue(String col){
        for(ImportFieldDic item : values()){
            if(item.getCol().equals(col)){
                return item;
            }
        }
        return null;
    }
}
