package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 能耗分析表(测试用)
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class QueryEnergyConsumptionAnalysisViewOutput {

    @XText("线路ID")
    private String lineId;

    @XText("线路名称")
    private String lineName;

    @XText("发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("发电环比(%)")
    private BigDecimal generationCycleRatio;

    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;

    @XText("用电环比(%)")
    private BigDecimal consumptionCycleRatio;

    @XText("消纳率(%)")
    private BigDecimal absorptionRate;
}
