package pps.core.prediction.service.data.energy_consumption_curve;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 用能曲线(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetEnergyConsumptionCurveInput {

    @NotBlank(message = "缺少线路ID")
    @XText("线路ID")
    private String lineId;

    @NotNull(message = "缺少日期类型")
    @XText("日期类型(0_今日,1_近7天,2_近30天,3_自定义)")
    private Integer dateType;

    @XText("开始时间")
    private Date startTime;

    @XText("结束时间")
    private Date endTime;
}
