package pps.core.prediction.service.data.plant_power_data;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;

@Data
public class QueryPlantPowerDataInput extends XPageInput {
    private Integer id;

    @XText("电站id")
    private String plantId;

    @XText("日期")
    private String dataDate;

    @XText("温度")
    private BigDecimal temperature;

    @XText("湿度")
    private BigDecimal humidity;

    @XText("风速")
    private BigDecimal windSpeed;

    @XText("风向")
    private BigDecimal windDirection;

    @XText("压强")
    private BigDecimal pressure;

    @XText("组件平面辐照度")
    private BigDecimal planeIrradiance;

    @XText("全水平辐照度")
    private BigDecimal horizontalIrradiance;

    @XText("实际功率")
    private BigDecimal power;

    @XText("开始时间")
    private String startTime;

    @XText("结束时间")
    private String endTime;
}