package app;

//import pps.core.common.job.CounterJob;
import pps.core.common.utils.CounterBuilder;
import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cloud.XCloudHuaweiCseFeature;
import xstartup.feature.cloud.conf.XCloudBundle;
import xstartup.feature.cloud.conf.XCloudBundlesConf;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;
import xstartup.feature.swagger.XSwaggerFeature;

public class DeployPpsSpaceApplication {
    public static void main(String... args) {
        System.out.println("println--DeployPpsSpaceApplication");
        CounterBuilder.globalCounterBuilder.setFieldValue(CounterBuilder.DEPLOY_KEY, DeployPpsSpaceApplication.class.getSimpleName());
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22061).naming("pps-base-info"))
                .config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&",43200));
        startup.enable(XSwaggerFeature.class);
//        startup.enable(XJobFeature.class).config(new XJobServiceConf(CounterJob.class));
        startup.enable(XMybatisFeature.class);
        startup.enable(XRpcFeature.class);
        startup.enable(XCloudHuaweiCseFeature.class)
                .config(XCloudBundlesConf.with(
                        XCloudBundle.naming("pps-base-info").addModule("pps", "cloud", "base"),
                        XCloudBundle.naming("pps-base-info").addModule("pps", "cloud", "system"))
                        );
        startup.run(args);
    }

}
